Description

Currently, a separate IDL is checked in and used for the protobuf tutorials. Why not just use a standard RST type?

Provide conditional compilation of this example to depend optionally on RST.

History
#1 - 08/05/2011 06:57 PM - J. Moringen

There's also https://code.cor-lab.org/projects/rst/repository/changes/trunk/proto/running/example/Image.proto. We could switch all protocol buffer
examples to this type definition.
This has the advantages of
    -  being in RST
    -  having been used in the talk (https://code.cor-lab.org/projects/rsb/repository/show/talks/data-stuff)
    -  demonstrating aggregation
The disadvantages are
    -  being in RST
    -  more complexity

#2 - 08/05/2011 11:42 PM - J. Moringen
- Target version changed from 0.4 to rsb-0.10

#3 - 11/18/2011 03:00 PM - S. Wrede
- Subject changed from Use Running Example IDL for Java Protocol Buffer Tutorial to Use RST IDL Type for Protocol Buffer Tutorials
- Description updated
- Category deleted (Java)
- Target version changed from rsb-0.10 to 0.6

#4 - 11/18/2011 03:07 PM - S. Wrede
- Tracker changed from Bug to Enhancement

#5 - 02/27/2012 03:15 PM - J. Wienke
- Target version deleted (0.6)

No spontaneous nice solution. Postponed.
